Omeka-S 3.0.1 with PHP 7.4 (on Reclaim Hosting)

Reclaim Hosting recently moved all their accounts to PHP 7.4. I discovered this via one of my sites going down with a 500 internal server error. After reaching out to helpdesk, this was the message I received.

Thanks so much for reaching out. Reclaim is making PHP version 7.4 available for any users that want to use the newest version of PHP. This means that as of Jan 4, 2021, we made PHP 7.4 the default version for all customers who have not selected an alternative version and have removed PHP versions 5.6-7.1.

When we switched to 7.2, it worked.

I just did a fresh install of v3.0.1 on a clean/clear test domain I have on Reclaim, and ran into the same issue. When 7.4 is running, it generates a 500 internal server error. When I use MultiPHP Manager in cPanel to set the PHP version to 7.2 or 7.3, no issue.

The release says Omeka 3.0.1 is compatible with PHP 7.1+. Is this just a host issue with Reclaim Hosting that I should alert them to?

With a 500 error something should be getting logged that you or Reclaim can look at to see what the error is.

There shouldn’t be any problem running Omeka S 3.0.1 on PHP 7.4, so there’s probably something else going on here.

I had the same issue with my old Omeka version in Reclaim Hosting. I updated to the latest version of Omeka and everything is now working fine. Of course it implied a lot of new personalization, etc.